# $Id: libibverbs.spec.in 3618 2005-09-29 17:43:11Z roland $
# Modified by Doug Ledford for inclusion in RHEL-4/FC-4
# Built against subversion source trees instead of released versions

%define ver     4265
%define dist	.2.EL4

Name: udapl
Version: 1.2
Release: 0.%{ver}%{?dist}
Summary: A library for direct userspace use of RDMA protocols

Group: System Environment/Libraries
License: GPL/BSD
Url: https://openib.org/svn/gen2/trunk
Source: %{name}-%{ver}.tar.bz2
Source2: udapl-dat.conf
Patch: udapl-1.2-build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: i386 x86_64 ia64

BuildRequires: libibverbs-devel

%description
udapl is both a specification and a library that allows userspace
processes to use generic RDMA networking protocols without needing
to be aware of or program to the underlying hardware implementation.

%package devel
Summary: Development files for udapl
Group: Development/System
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files for the udapl library.

%prep
%setup -q -n %{name}-%{ver}
%patch -p1 -b .build

%build
cd dat/udat
make %{?_smp_mflags} OS_VENDOR=REDHAT_EL4
cd ../../dapl/udapl
make %{?_smp_mflags} VERBS=openib_scm OS_VENDOR=REDHAT_EL4
cd ../..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/
mkdir -p $RPM_BUILD_ROOT%{_includedir}/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/dat
cd dat/udat
make LIBDIR=%{_libdir}/dat PREFIX=$RPM_BUILD_ROOT install
cd ../../dapl/udapl/Target
install -m 0755 libdapl.so $RPM_BUILD_ROOT%{_libdir}
install -m 0644 libdapl.a $RPM_BUILD_ROOT%{_libdir}
cd ../../include
install -m 0644 *.h $RPM_BUILD_ROOT%{_includedir}
sed -e 's#LIBDIR#%{_libdir}#' < %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/dat.conf
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/dat.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so*
%{_libdir}/dat/lib*.so*
%{_sysconfdir}/dat.conf
%doc LICENSE*.txt 

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_libdir}/dat/*.a
%{_includedir}/*

%changelog
* Thu Feb 2 2006 Doug Ledford <dledford@redhat.com>
- Bump revision and rebuild with latest gcc
- Remove ppc arches since we don't yet have kernel support on ppc

* Thu Dec 1 2005 Doug Ledford <dledford@redhat.com>
- Initial import to an RPM from the source repository.
